Skip site navigation (1) Skip section navigation (2)

Re: patch win32.mak of libpq

From: Magnus Hagander <magnus(at)hagander(dot)net>
To: Hiroshi Saito <z-saito(at)guitar(dot)ocn(dot)ne(dot)jp>
Cc: Dave Page <dpage(at)postgresql(dot)org>, pgsql-patches(at)postgresql(dot)org
Subject: Re: patch win32.mak of libpq
Date: 2007-07-25 11:37:59
Message-ID: 20070725113759.GH5612@svr2.hagander.net (view raw or flat)
Thread:
Lists: pgsql-odbcpgsql-patches
On Wed, Jul 25, 2007 at 02:36:41PM +0900, Hiroshi Saito wrote:
> Hi Magnus, and Dave.
> 
> Sorry, I'm a somewhat late reaction... This is the present correspondence.
> However, VC6 does not support SSAPI. Therefore, the next release makes
> VC6 the outside of an object.

I think VC6 should support it Ok. You probably just need to upgrade your
Platform SDK to a version that's for Windows 2000 or newer. I think VC6
shipws with the NT4 SDK by default. It looks like it' just missing
secur32.lib.

I have applied your patch, since it's used in either case. Thanks!

> If there is no objection. Let's close support of VC6.
> What do you think?

While I don't disagree in principle, if you can test it with a new Platfrom
SDK and see if that works there's no reason to close it (yet).

//Magnus

In response to

Responses

pgsql-odbc by date

Next:From: Hiroshi SaitoDate: 2007-07-25 13:30:29
Subject: Re: patch win32.mak of libpq
Previous:From: Hiroshi SaitoDate: 2007-07-25 05:36:41
Subject: patch win32.mak of libpq

pgsql-patches by date

Next:From: Hiroshi SaitoDate: 2007-07-25 13:30:29
Subject: Re: patch win32.mak of libpq
Previous:From: Magnus HaganderDate: 2007-07-25 10:51:14
Subject: Re: msvc const warnings

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group